diff --git a/doc/src/sgml/fdwhandler.sgml b/doc/src/sgml/fdwhandler.sgml
index c8ae861..c17c540 100644
--- a/doc/src/sgml/fdwhandler.sgml
+++ b/doc/src/sgml/fdwhandler.sgml
@@ -39,13 +39,18 @@
 
    <para>
     The validator function is responsible for validating options given in the
-    <command>CREATE FOREIGN DATA WRAPPER</command>, <command>CREATE
-    SERVER</command> and <command>CREATE FOREIGN TABLE</command> commands.
+    <command>CREATE</command> and <command>ALTER</command> commands for
+    <literal>FOREIGN DATA WRAPPER</>, <literal>SERVER</>,
+    <literal>USER MAPPING</> and <literal>FOREIGN TABLE</>.  To make it
+    possible to enforce required option, the validator function is called for
+    every such command even if the option list was empty as a result of
+    dropping all options.
     The validator function must be registered as taking two arguments, a text
     array containing the options to be validated, and an OID representing the
     type of object the options are associated with (in the form of the OID
     of the system catalog the object would be stored in).  If no validator
-    function is supplied, the options are not checked at object creation time.
+    function is supplied, the options are not checked at object creation time
+    or object alteration time.
    </para>
 
    <para>
